<link href="CSS/Box.css" rel="stylesheet" type="text/css">
<!--[if IE 6]>
<link rel="stylesheet" href="CSS/Slider.ie6.css" type="text/css" media="screen">
<![endif]-->
<script> var loadingImage = 'Images/loading.gif'; var closeButton = 'Images/closewindow.gif';</script>
<style>
#overlay{ background-image: url(Images/overlay.png); }
* html #overlay{
	background-color: #333;
	background-color: transparent;
	background-image: url(Images/blank.gif);
	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src="Images/overlay.png", sizingMethod="scale");
	}
</style>
<script> var secs = {waitingTime};limitedSecs = {limitedTime};</script>
<script type="text/javascript" src="JS/Waiting.en.php"></script>
<script type="text/javascript" src="JS/PicBox.js.php"></script>
<script type="text/javascript" src="JS/Jquery.min.js.php"></script>
<script type="text/javascript" src="JS/Jquery.col.js.php"></script>
<script type="text/javascript" src="JS/Jquery.notification.js.php"></script>
<link type="text/css" rel="stylesheet" href="CSS/Notification.css" />
<script type="text/javascript" src="JS/CheckQuestion.en.php"></script>
<script language=javascript>
function Survey_Form_Submit()
{
	if( Survey_Form_Validator() != false)
	{
		var thisCheckStr = document.Survey_Form.thisCheck.value;
{survey_quota_list}
		if( thisCheckStr != '')
		{
			var thisCheck = thisCheckStr.substr(0,thisCheckStr.length-1).split('|');
			var ajaxURL = 'JS/AjaxCheckTextRepeat.php?qid={surveyID}&qlang={surveyLang}&hash='+thisCheckStr;
			for(var m=0;m<thisCheck.length;m++)
			{
			   var qtnType = thisCheck[m].split('*');
			   switch(qtnType[0])
			   {
					case '4':
					case '23':
					   var objValue = eval('document.Survey_Form.'+qtnType[1]+'.value');
					   ajaxURL += '&'+qtnType[1]+'='+escape(objValue);
					break;
					case '0':
					break;
					case 's1':
					    var theFieldsList = qtnType[3].split('$');
						for(var t=0;t<theFieldsList.length;t++)
						{
						    var objField = eval('document.Survey_Form.'+theFieldsList[t]);
							if( objField != null )
							{
								ajaxURL += '&'+theFieldsList[t]+'='+escape(objField.value);
							}
							else
							{
								ajaxURL += '&'+theFieldsList[t]+'=0';
							}
						}
					break;
					default:
					   var objField = eval('document.Survey_Form.'+qtnType[1]);
					   ajaxURL += '&'+qtnType[1]+'='+getRadioCheckBoxValue(objField);
					break;
 			   }
			}
			var js = document.createElement( "script" ); 
			js.type = "text/javascript" ; 
			js.setAttribute( "src" , ajaxURL);  
			document.body.appendChild(js);
		}
		else
		{
			if( document.getElementById('SurveyPreSubmit') != null ) document.getElementById('SurveyPreSubmit').disabled = true;
			if( document.getElementById('SurveyNextSubmit') != null ) document.getElementById('SurveyNextSubmit').disabled = true;
			if( document.getElementById('SurveyOverSubmit') != null ) document.getElementById('SurveyOverSubmit').disabled = true;
			document.Survey_Form.submit();
		}
	}
}
function Survey_Form_Validator()
{
   {check_survey_form_list}
}
function Check_Survey_Conditions()
{
   {check_survey_conditions_list}
}
function ReloadImage()
{
	document.getElementById('verifyImage').src = 'JS/CreateVerifyCode.js.php?sid=' + Math.random(); 
}
function Init()
{
   Check_Survey_Conditions();
   initLightbox();
   {waitingScript}
   {limitedScript}
}
</script>

<!--该调查问卷由科维能动EnableQ在线问卷调查引擎系统生成 -->
{processBar}{limitedTimeBar}
<form action="" method="post" name="Survey_Form" enctype="multipart/form-data" onsubmit="return false;">
<table bgcolor="#ffffff" cellpadding="0" cellspacing="0" width="100%">
 <noscript><tr><td style="background-color: #FFFF66; border-top: solid 4px #FF9966; border-bottom: solid 4px #FF9966; margin: 10px 25px; padding: 10px 15px;">We're sorry. You must have JavaScript enabled to enjoy the survey.</td></tr></noscript>
 <tr><td>
 <!-- BEGIN QUESTION -->
 <table width="100%" cellpadding="0" cellspacing="0" style="display:{isShowQuestion_{questionID}};" class="pertable" id="question_{questionID}" onactivate="this.style.backgroundColor='#f0f0f0'" ondeactivate="this.style.backgroundColor='#ffffff'">
 {questionList}
  </table>
 <!-- END QUESTION -->
 {secureImage}
  </td></tr>
  <tr align="center"> 
     <td>
        <input name="thisFields" type="hidden" id="thisFields" value="{thisFields}">
        <input name="thisFiles" type="hidden" id="thisFiles" value="{thisFiles}">
        <input name="thisSizes" type="hidden" id="thisSizes" value="{thisSizes}">
        <input name="thisHidden" type="hidden" id="thisHidden" value="{thisHidden}">
        <input name="allHidden" type="hidden" id="allHidden" value="{allHidden}">
        <input name="allFields" type="hidden" id="allFields" value="{allFields}">
		<input name="thisCheck" type="hidden" id="thisCheck" value="{thisCheck}">
		<input name="thisStep" type="hidden" id="thisStep" value="{thisStep}">
		<input name="surveyID" type="hidden" value="{surveyID}">
		<input name="isPublic" type="hidden" value="{isPublic}">
		<input name="passPortType" type="hidden" value="{passPortType}">
		<input name="surveyQuotaFlag" id="surveyQuotaFlag" type="hidden">
		<input name="screeningFlag" id="screeningFlag" type="hidden">
		<input name="surveyQuotaId" id="surveyQuotaId" type="hidden">
		<input name="isCheckCode" id="isCheckCode" value="{isCheckCode}" type="hidden">
		{hiddenFields}
		<input name="Action" type="hidden" id="Action">
		{actionButton}
     </td>
   </tr>
  </form>
</table>
<script>Init();</script>
<!--该调查问卷由科维能动EnableQ在线问卷调查引擎系统生成 -->
<!-- DELETE BEGINPART -->
<script type="text/javascript" src="JS/AjaxSession.js.php"></script>
<script>ajax_Session_Submit('JS/Session.js.php?qid={surveyID}','');</script>
<!-- DELETE ENDPART -->
